------------------------------------------------------------------------------------
--Name:  	yindao
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-07-12
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(317, 346)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetPos(315, 340)
Player_1:SetDir(5)
Player_1:WalkTo(315, 333)
Player_1:SetCtrlMapView(1)
local effect_3 = CppScriptMgr:AddEffect("NEW-flower-smallrain", 315, 333, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(200)
local Effect_1 = CppScriptMgr:AddEffect("FF14", 315, 340, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(350)
local Effect_2 = CppScriptMgr:AddEffect("FF07_1", 311, 333, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(450)
CppScriptMgr:NpcCallOut("What a magnificent gate! Is this the famous Twin City?                                                                                                                                                                                                Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "", 250, 655, true)
local effect_0 = CppScriptMgr:AddEffect("dakaishengzhi", 317, 333, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2460)
Player_1:SetDir(7)
local effect_2 = CppScriptMgr:AddEffect("Attack35r", 315, 333, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(480)
CppScriptMgr:NpcCallOut("Welcome, my distinguished guest!                                                                                                                                                                                                                                                                           Press ESC to skip the story.", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27064", 150, 430, "TCCaptain", 250, 655, true)
CppScriptMgr:WaitMilSec(1550)
CppScriptMgr:NpcCallOut("I am the Captain of Twin City, and I have been waiting here for you!                                                                                                                                                                                                                                                Press ESC to skip the story.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27064", 150, 430, "TCCaptain", 250, 655, true)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("As you are new to this place, feel free to explore and experience the local customs and culture!                                                                                                                                                                                                                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27064", 150, 430, "TCCaptain", 250, 655, true)
CppScriptMgr:WaitMilSec(940)
Player_1:SetAction(190)
CppScriptMgr:WaitMilSec(1560)
CppScriptMgr:NpcCallOut("Thank you! I would love to explore around!                                                                                                                                                                                                                                                                Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "", 250, 655, true)
CppScriptMgr:WaitMilSec(2450)